Teams

Change a team member's role

POST/api/teams/{teamId}/users/{userId}

Updates a user's role in the specified team, subject to the caller's role and permissions.

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Path parameters

NameTypeDescription
teamIdrequiredstringID of the associated team.
userIdrequiredstringID of the associated user.

Request body

NameTypeDescription
rolerequiredenum<string>Permission role assigned to the user.
Options: team-member, team-view-only, team-manager
Example request

Responses

200The operation completed successfully.
NameTypeDescription
createdAtrequiredstringDate and time the record was created.
idrequiredstringUnique identifier of the resource.
rolerequiredstringPermission role assigned to the user.
teamIdrequiredstringID of the associated team.
updatedAtrequiredstringDate and time the record was last updated.
userIdrequiredstringID of the associated user.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example

Code samples

cURL